Bug 1463678 - Cannot use "-b" and "-D" parameters to journalctl command simultaneously
Summary: Cannot use "-b" and "-D" parameters to journalctl command simultaneously
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David Tardon
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-21 13:13 UTC by Renaud Métrich
Modified: 2019-08-06 12:43 UTC (History)
3 users (show)

Fixed In Version: systemd-219-64.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:43:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2091 None None None 2019-08-06 12:43:49 UTC
Github systemd systemd issues 3603 None None None 2019-01-29 14:52:28 UTC

Description Renaud Métrich 2017-06-21 13:13:14 UTC
Description of problem:

The "-D" parameter is widely used for examining journals taken on remote machines.
journalctl returns an error when "-D" parameter is specified and "-b" or "--list-boots" parameter is specified on same command line. 

# journalctl -b -D /run/log/journal
Using --boot or --list-boots with --file, --directory or --merge is not supported.

Version-Release number of selected component (if applicable):

systemd-219-30.el7_3.9.x86_64

How reproducible:

Always

Steps to Reproduce:
1. journalctl -b -D /run/log/journal

Actual results:

Using --boot or --list-boots with --file, --directory or --merge is not supported.

Expected results:

Journal for latest boot to be displayed.

Additional info:

The workaround is to remove the local journals in /run/log or /var/log and copy the saved journals to these directories in order to be able to browse them.

Comment 7 Lukáš Nykrýn 2019-02-15 09:18:11 UTC
fix merged to staging branch -> https://github.com/lnykryn/systemd-rhel/pull/278 -> post

Comment 11 errata-xmlrpc 2019-08-06 12:43:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2091


Note You need to log in before you can comment on or make changes to this bug.